Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 221054 - Review Request: gerbv - A gerber file viewer
Summary: Review Request: gerbv - A gerber file viewer
Keywords:
Status: CLOSED DUPLICATE of bug 245985
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-12-31 14:50 UTC by Robert Spanton
Modified: 2008-11-14 05:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-27 19:32:25 UTC
kevin: fedora-cvs+


Attachments (Terms of Use)
Chitlesh's gerbv patch (deleted)
2007-01-02 13:01 UTC, Chitlesh GOORAH
no flags Details | Diff
Chitlesh's gerbv spec file (deleted)
2007-01-02 13:02 UTC, Chitlesh GOORAH
no flags Details

Description Robert Spanton 2006-12-31 14:50:34 UTC
Spec URL: http://xgoat.com/rpm/gerbv/gerbv.spec
SRPM URL: http://xgoat.com/rpm/gerbv/gerbv-1.0.2-1.src.rpm
Description: 
Gerber Viewer (gerbv) is a viewer for Gerber files. Gerber files are
generated from PCB CAD systems and sent to PCB manufacturers as a
basis for the manufacturing process.

This is my first package, and I need a sponsor.

Comment 1 Robert Spanton 2006-12-31 14:54:55 UTC
Added FE-NEEDSPONSOR

Comment 2 Michael Schwendt 2006-12-31 16:10:42 UTC
* In build log:

gerbv.c:1526: warning: call to __builtin___snprintf_chk will
always overflow destination buffer


* Gerber file format support fails to load test files.

* Drill file format support crashes with buffer overflow.

* Passing files at the command-line results in 100% buffer
overflow crash:

*** buffer overflow detected ***: gerbv terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x87c161]
/lib/libc.so.6[0x87bba3]
/lib/libc.so.6(__snprintf_chk+0x37)[0x87ba87]
gerbv[0x8055686]
gerbv[0x805625a]
/lib/libglib-2.0.so.0[0x12a5e1]


* Directories %{_datadir}/gerbv and %{_datadir}/gerbv/scheme
are not included:

$ rpmls -p /home/qa/tmp/rpm/RPMS/gerbv-1.0.2-1.i386.rpm
-rwxr-xr-x  /usr/bin/gerbv
-rw-r--r--  /usr/share/applications/fedora-gerbv.desktop
-rw-r--r--  /usr/share/gerbv/scheme/init.scm
-rw-r--r--  /usr/share/icons/hicolor/48x48/apps/gerbv.png
-rw-r--r--  /usr/share/man/man1/gerbv.1.gz


* Scriptlets for GTK icon cache are missing:
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?action=show&redirect=ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda


* No %doc files are included. Not even the GPL license.

* Manual pages are marked %doc automatically.

* Upstream project site contains the following warning: "If anyone is interested
to takeover this project, please contact Stefan. Else this project will risk to
rot away yet again."


Hints:

* It is commonly considered better style to make "Summary" in
headline-style:

Summary: Gerber file viewer from the gEDA toolkit

* Second sentence in %description is missing punctuation.

* Manual pages contains unexpanded ${prefix}.

Comment 3 Chitlesh GOORAH 2007-01-02 13:01:34 UTC
Created attachment 144637 [details]
Chitlesh's gerbv patch

Comment 4 Chitlesh GOORAH 2007-01-02 13:02:24 UTC
Created attachment 144638 [details]
Chitlesh's gerbv spec file

Comment 5 Chitlesh GOORAH 2007-01-02 13:05:53 UTC
Hello,
I've recently attached a patch and my gerbv file which I was working on some
months ago.

My spec file will help you fix the issues pointed by Michael's review.

However, I missed out some materials on the "doc" directory, probably you can
add them to the spec file. :)

By the way, I'm the geda suite packager for fedora:)

Comment 6 Robert Spanton 2007-01-02 16:01:38 UTC
Chitlesh said:
> By the way, I'm the geda suite packager for fedora:)

Sorry, didn't mean to step on anyone's feet!

Michael:

Thanks for the feedback, I'll try and resubmit within the next few days.

When I originally submitted, I didn't realise that there was this maintainership
problem (err... I think I must have been blind or something).  Perhaps this
package shouldn't go into extras because of lack of upstream maintenance.  I've
posted about this on the gEDA-devel mailing list to see whether anyone's
thinking about maintaining it.


Comment 7 Chitlesh GOORAH 2007-01-14 23:20:54 UTC
(In reply to comment #6)
> Chitlesh said:
> > By the way, I'm the geda suite packager for fedora:)
> 
> Sorry, didn't mean to step on anyone's feet!

It's not the case:)
I'm glad someone is pushing scientific/electronic tools inside. :) keep it up

Comment 8 Robert Spanton 2007-01-18 20:55:02 UTC
Just a note:  I haven't died.  Laptop death and exams are getting in the way! 
I'll be back soon...

Comment 9 Chitlesh GOORAH 2007-02-13 23:27:06 UTC
You should also fix the desktop file 

--- rpmbuild/SOURCES/gerbv-1.0.2/desktop/gerbv.desktop  2006-07-26
09:35:40.000000000 +0200
+++ /usr/share/applications/gerbv.desktop       2007-02-13 23:47:19.000000000 +0100
@@ -7,4 +7,5 @@
 Type=Application
 Exec=gerbv
 Icon=gerbv
-Categories=Education;Electronics;Engineering;
+Categories=Qt;KDE;Education;Science;Engineering;

see how it can be done in your spec file with desktop-file-utils instead of the
patch: http://fedoraproject.org/wiki/PackagingDrafts/DesktopFiles

(easy fix)

Comment 10 Mamoru TASAKA 2007-05-09 18:04:30 UTC
ping, Robert?

Comment 11 Mamoru TASAKA 2007-05-24 16:26:00 UTC
ping again?

Comment 12 Robert Spanton 2007-05-25 10:41:04 UTC
Hello.  Apologies for the long absence.

The continuous barrage of non-gerbv related stuff that I've had to do since
filing this review request has not yet stopped.  If someone else wants to submit
a review request for it, then I'm not stopping them...

Comment 13 Mamoru TASAKA 2007-05-25 17:33:58 UTC
Chitlesh, are you insterested in being the maintainer
of this package (gerbv)?

If you are not, or any response cannot be gained within
one week from anyone, I will once close this bug as NOTABUG

Comment 14 Chitlesh GOORAH 2007-05-25 20:13:45 UTC
(In reply to comment #13)
> Chitlesh, are you insterested in being the maintainer
> of this package (gerbv)?

Actually I would love to. But however, there isn't any upstream for this 
package to fix the following bugs from comment #2:

> * In build log:
> 
> gerbv.c:1526: warning: call to __builtin___snprintf_chk will
> always overflow destination buffer
> 
> 
> * Gerber file format support fails to load test files.
> 
> * Drill file format support crashes with buffer overflow.
> 
> * Passing files at the command-line results in 100% buffer
> overflow crash:
> 
> *** buffer overflow detected ***: gerbv terminated
> ======= Backtrace: =========
> /lib/libc.so.6(__chk_fail+0x41)[0x87c161]
> /lib/libc.so.6[0x87bba3]
> /lib/libc.so.6(__snprintf_chk+0x37)[0x87ba87]
> gerbv[0x8055686]
> gerbv[0x805625a]
> /lib/libglib-2.0.so.0[0x12a5e1]

Comment 15 Ralf Corsepius 2007-05-26 05:09:36 UTC
Chitlesh asked me to look into the snprint issue:

This patch should fix it:

--- src/gerbv.c~        2007-05-26 06:33:50.000000000 +0200
+++ src/gerbv.c 2007-05-26 06:33:50.000000000 +0200
@@ -1523,7 +1523,7 @@
            /*
             * Show progress in status bar
             */
-           snprintf(screen.statusbar.msgstr, MAX_STATUSMSGLEN,
+           snprintf(screen.statusbar.msgstr, MAX_ERRMSGLEN,
                     "%d %s...",
                     i, screen.file[i]->basename);
            update_statusbar(&screen);

Comment 16 Mamoru TASAKA 2007-05-28 07:35:20 UTC
Does the patch by Ralf work for you?

Comment 17 Chitlesh GOORAH 2007-05-28 08:23:00 UTC
Yes, Thanks Ralf, the patch works.

However now, 
file -> "open project" fails to open examples provided by this package.
But if one open a project file or a gerbv file from the konsole, gerbv opens 
it successfully. I'll dig later on.

PS: I'm in examination period for the following two weeks. I might not answer 
my mails during that interval.

Comment 18 Chitlesh GOORAH 2007-06-24 15:26:50 UTC
(In reply to comment #17)
> However now, 
> file -> "open project" fails to open examples provided by this package.
> But if one open a project file or a gerbv file from the konsole, gerbv opens 
> it successfully. I'll dig later on.

Ok, I've found what was wrong. Actually it wasn't the code that was failing 
this time but rather the examples provided by gerbv are outdated. I'll update 
them and file another review under my name later on.

Comment 19 Mamoru TASAKA 2007-06-24 15:44:08 UTC
I think it is better that you close this bug and create new
review request once you create a new spec/srpm for this package
and mark this as duplicate of the new review request..

Comment 20 Chitlesh GOORAH 2007-06-27 19:31:46 UTC
I'm thereby closing this bug as duplicate.

Comment 21 Chitlesh GOORAH 2007-06-27 19:32:25 UTC

*** This bug has been marked as a duplicate of 245985 ***

Comment 22 Chitlesh GOORAH 2008-11-13 20:06:17 UTC
Package Change Request
=======================
Package Name: gerbv
Short Description: Gerber file viewer from the gEDA toolkit
Owners: chitlesh
Branches: EL-5

Comment 23 Kevin Fenzi 2008-11-14 05:50:57 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.